phpLDAPadmin

# Class: PageRender

Source Location: /templates/3rdParty/pla/lib/PageRender.php

### Class Overview

    Visitor
       |
       --PageRender

PageRender class

### Variables

- $container
- $dn
- $page
- $template
- $template_id

### Methods

- __construct
- accept
- drawCurrentValueAttribute
- drawCurrentValueBinaryAttribute
- drawCurrentValueJpegAttribute
- drawCurrentValuePasswordAttribute
- drawCurrentValuesAttribute
- drawFormReadOnlyValueAttribute
- drawFormReadOnlyValueBinaryAttribute
- drawFormReadOnlyValueJpegAttribute
- drawFormReadOnlyValueMultiLineAttribute
- drawFormReadOnlyValuePasswordAttribute
- drawFormReadOnlyValueShadowAttribute
- drawFormReadWriteValueAttribute
- drawFormReadWriteValueBinaryAttribute
- drawFormReadWriteValueDateAttribute
- drawFormReadWriteValueDnAttribute
- drawFormReadWriteValueGidAttribute
- drawFormReadWriteValueMultiLineAttribute
- drawFormReadWriteValuePasswordAttribute
- drawFormReadWriteValueSelectionAttribute
- drawFormReadWriteValueShadowAttribute
- drawFormValueAttribute
- drawFormValueObjectClassAttribute
- drawHiddenAttributes
- drawHiddenValueAttribute
- drawHiddenValueBinaryAttribute
- drawNameAttribute
- drawNotesAttribute
- drawOldValueAttribute
- drawOldValueBinaryAttribute
- drawOldValueJpegAttribute
- drawOldValuePasswordAttribute
- drawOldValuesAttribute
- drawShadowDateShadowAttribute
- drawSubTitle
- drawTitle
- getAutoPostPasswordAttribute
- getMode
- getModeContainer
- getNoteAliasAttribute
- getNoteHintAttribute
- getNoteRDNAttribute
- getNoteRequiredAttribute
- getNoteROAttribute
- getPostAttribute
- getTemplate
- getTemplateChoice
- getTemplateID
- getTemplates
- setContainer
- setDN
- visitAttribute

### Child classes:

QueryRender
  QueryRender class

TemplateRender
  TemplateRender class

### Inherited Variables

#### Class: Visitor

Visitor::$server_id

### Inherited Methods

#### Class: Visitor

Visitor::getServer()
  Return this LDAP Server object
Visitor::getServerID()
  Return the LDAP server ID
Visitor::__call()

### Class Details

[line 13]
PageRender class
[ Top ]

### Class Variables

#### $container =

[line 19]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $dn =

[line 18]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $page =

[line 21]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $template = null

[line 16]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $template_id =

[line 15]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

### Class Methods

### constructor __construct [line 23]

`PageRender __construct( $server_id, $template_id)`

#### Tags:

access: | public

#### Parameters:

| $server_id |
| $template_id |

[ Top ]

### method accept [line 63]

`void accept( )`

Initialise the PageRender

#### Tags:

access: | public

Overridden in child classes as:

QueryRender::accept()
  Intialise and Render the QueryRender

TemplateRender::accept()
  Initialise and Render the TemplateRender

[ Top ]

### method drawCurrentValueAttribute [line 548]

`void drawCurrentValueAttribute( $attribute, $i)`

Draw the current specific value of an attribute

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $i |

[ Top ]

### method drawCurrentValueBinaryAttribute [line 647]

`void drawCurrentValueBinaryAttribute( $attribute, $i)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $i |

[ Top ]

### method drawCurrentValueJpegAttribute [line 806]

`void drawCurrentValueJpegAttribute( $attribute, $i)`

Draw a Jpeg Attribute

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $i |

[ Top ]

### method drawCurrentValuePasswordAttribute [line 909]

`void drawCurrentValuePasswordAttribute( $attribute, $i)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $i |

[ Top ]

### method drawCurrentValuesAttribute [line 534]

`void drawCurrentValuesAttribute( $attribute)`

DRAW DISPLAYED CURRENT VALUES *

#### Tags:

access: | protected

#### Parameters:

| $attribute |

[ Top ]

### method drawFormReadOnlyValueAttribute [line 577]

`void drawFormReadOnlyValueAttribute( $attribute, $i)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $i |

[ Top ]

### method drawFormReadOnlyValueBinaryAttribute [line 654]

`void drawFormReadOnlyValueBinaryAttribute( $attribute, $i)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $i |

[ Top ]

### method drawFormReadOnlyValueJpegAttribute [line 822]

`void drawFormReadOnlyValueJpegAttribute( $attribute, $i)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $i |

[ Top ]

### method drawFormReadOnlyValueMultiLineAttribute [line 829]

`void drawFormReadOnlyValueMultiLineAttribute( $attribute, $i)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $i |

[ Top ]

### method drawFormReadOnlyValuePasswordAttribute [line 921]

`void drawFormReadOnlyValuePasswordAttribute( $attribute, $i)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $i |

[ Top ]

### method drawFormReadOnlyValueShadowAttribute [line 1195]

`void drawFormReadOnlyValueShadowAttribute( $attribute, $i)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $i |

[ Top ]

### method drawFormReadWriteValueAttribute [line 586]

`void drawFormReadWriteValueAttribute( $attribute, $i)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $i |

[ Top ]

### method drawFormReadWriteValueBinaryAttribute [line 669]

`void drawFormReadWriteValueBinaryAttribute( $attribute, $i)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $i |

[ Top ]

### method drawFormReadWriteValueDateAttribute [line 690]

`void drawFormReadWriteValueDateAttribute( $attribute, $i)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $i |

[ Top ]

### method drawFormReadWriteValueDnAttribute [line 708]

`void drawFormReadWriteValueDnAttribute( $attribute, $i)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $i |

[ Top ]

### method drawFormReadWriteValueGidAttribute [line 739]

`void drawFormReadWriteValueGidAttribute( $attribute, $i)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $i |

[ Top ]

### method drawFormReadWriteValueMultiLineAttribute [line 842]

`void drawFormReadWriteValueMultiLineAttribute( $attribute, $i)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $i |

[ Top ]

### method drawFormReadWriteValuePasswordAttribute [line 943]

`void drawFormReadWriteValuePasswordAttribute( $attribute, $i)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $i |

[ Top ]

### method drawFormReadWriteValueSelectionAttribute [line 996]

`void drawFormReadWriteValueSelectionAttribute( $attribute, $i)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $i |

[ Top ]

### method drawFormReadWriteValueShadowAttribute [line 1202]

`void drawFormReadWriteValueShadowAttribute( $attribute, $i)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $i |

[ Top ]

### method drawFormValueAttribute [line 558]

`void drawFormValueAttribute( $attribute, $i)`

Draw a input value for an attribute - used in a form.

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $i |

[ Top ]

### method drawFormValueObjectClassAttribute [line 857]

`void drawFormValueObjectClassAttribute( $attribute, $i)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $i |

[ Top ]

### method drawHiddenAttributes [line 489]

`void drawHiddenAttributes( )`

Draw all hidden attributes

#### Tags:

access: | public

[ Top ]

### method drawHiddenValueAttribute [line 508]

`void drawHiddenValueAttribute( $attribute, $i)`

Draw specific hidden attribute

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $i |

[ Top ]

### method drawHiddenValueBinaryAttribute [line 630]

`void drawHiddenValueBinaryAttribute( $attribute, $i)`

Draw specific hidden binary attribute

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $i |

[ Top ]

### method drawNameAttribute [line 362]

`void drawNameAttribute( $attribute)`

DRAW ATTRIBUTE NAME *

#### Tags:

access: | protected

#### Parameters:

| $attribute |

[ Top ]

### method drawNotesAttribute [line 383]

`void drawNotesAttribute( $attribute)`

ATTRIBUTE NOTES

#### Tags:

access: | protected

#### Parameters:

| $attribute |

[ Top ]

### method drawOldValueAttribute [line 526]

`void drawOldValueAttribute( $attribute, $i)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $i |

[ Top ]

### method drawOldValueBinaryAttribute [line 639]

`void drawOldValueBinaryAttribute( $attribute, $i)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $i |

[ Top ]

### method drawOldValueJpegAttribute [line 792]

`void drawOldValueJpegAttribute( $attribute, $i)`

Draw a Jpeg Attribute

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $i |

[ Top ]

### method drawOldValuePasswordAttribute [line 897]

`void drawOldValuePasswordAttribute( $attribute, $i)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $i |

[ Top ]

### method drawOldValuesAttribute [line 519]

`void drawOldValuesAttribute( $attribute)`

DRAW DISPLAYED OLD VALUES *

#### Tags:

access: | protected

#### Parameters:

| $attribute |

[ Top ]

### method drawShadowDateShadowAttribute [line 1167]

`void drawShadowDateShadowAttribute( $attribute)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |

[ Top ]

### method drawSubTitle [line 107]

`void drawSubTitle( [ $subtitle = null])`

#### Tags:

access: | public

Overridden in child classes as:

QueryRender::drawSubTitle()

TemplateRender::drawSubTitle()

#### Parameters:

| $subtitle |

[ Top ]

### method drawTitle [line 103]

`void drawTitle( [ $title = 'Title'])`

#### Tags:

access: | public

Overridden in child classes as:

TemplateRender::drawTitle()

#### Parameters:

| $title |

[ Top ]

### method getAutoPostPasswordAttribute [line 888]

`void getAutoPostPasswordAttribute( $attribute, $i)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $i |

[ Top ]

### method getMode [line 144]

`void getMode( )`

May be overloaded in other classes

#### Tags:

access: | protected

Overridden in child classes as:

TemplateRender::getMode()
  Set the mode of the TemplateRender

[ Top ]

### method getModeContainer [line 145]

`void getModeContainer( )`

#### Tags:

access: | protected

Overridden in child classes as:

TemplateRender::getModeContainer()
  Return the container for this mode

[ Top ]

### method getNoteAliasAttribute [line 403]

`void getNoteAliasAttribute( $attribute)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |

[ Top ]

### method getNoteHintAttribute [line 463]

`void getNoteHintAttribute( $attribute)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |

[ Top ]

### method getNoteRDNAttribute [line 450]

`void getNoteRDNAttribute( $attribute)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |

[ Top ]

### method getNoteRequiredAttribute [line 408]

`void getNoteRequiredAttribute( $attribute)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |

[ Top ]

### method getNoteROAttribute [line 476]

`void getNoteROAttribute( $attribute)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |

[ Top ]

### method getPostAttribute [line 150]

`void getPostAttribute( $attribute, $i)`

Process our <post> arguments from the templates

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $i |

[ Top ]

### method getTemplate [line 46]

`void getTemplate( )`

#### Tags:

access: | public

[ Top ]

### method getTemplateChoice [line 313]

`string getTemplateChoice( )`

This function is invoked if we dont know which template we should be using.

#### Tags:

return: | Template ID to be used or null if the user was presented with a list.
access: | protected

[ Top ]

### method getTemplateID [line 53]

`void getTemplateID( )`

#### Tags:

access: | public

[ Top ]

### method getTemplates [line 39]

`void getTemplates( )`

Get our templates applicable for this object

#### Tags:

access: | protected

Overridden in child classes as:

QueryRender::getTemplates()
  Get our templates applicable for this object

[ Top ]

### method setContainer [line 128]

`void setContainer( $dn)`

#### Tags:

access: | public

#### Parameters:

| $dn |

[ Top ]

### method setDN [line 115]

`void setDN( $dn)`

#### Tags:

access: | public

#### Parameters:

| $dn |

[ Top ]

### method visitAttribute [line 34]

`void visitAttribute( )`

Dummy method...

#### Tags:

access: | protected

[ Top ]

Documentation generated on Tue, 22 Nov 2011 16:29:59 +0100 by phpDocumentor 1.4.1